/* =========================================================================================================
  Script Revive ADO : revive_init.sqf
  Version: 1.31
  Auteur: The-KiLLeR (www.clan-ado.fr / killouze@hotmail.fr)
========================================================================================================= */
if (isServer || isDedicated) then {
	ADO_REVIVE_morts = [];
	publicVariable "ADO_REVIVE_morts";
};

if (!isServer && !isDedicated) then
{
	waitUntil {!isNull player};
	
	// Si le joueur a dj t mort - NE PAS TOUCHER
	if (player in ADO_REVIVE_morts) exitWith {
		cutText ["Le joueur est mort", "BLACK"];
		player setPos (getMarkerPos "ado_revive_zone_morts");
	};

	/* -----------------------------------------------------------------------------
	------------------------------{ CONFIGURATIONS }-----------------------------
	----------------------------------------------------------------------------- */
	// Nombre de vie (Dfini dans les paramtres de la mission)
	ADO_REVIVE_nb_vies = paramsArray select 0;
	
	// Temps avant de pouvoir cliquer sur les boutons de rapparition (en seconde)
	ADO_REVIVE_temps_bp = 15;
	
	// Temps avant de rapparaitre  la base quand on est mort dans l'eau (en seconde)
	ADO_REVIVE_temps_eau = 10;
	
	// La personne ranim ne perd pas de vie (true = Activer, false = Dsactiver)
	ADO_REVIVE_reanimer_vie = true;
	
	/* ---------- [ BASE ] ----------
		ADO_REVIVE_zone :
			- true : Activer
			- false : Dsactiver
		
		ADO_REVIVE_zone_ouest, ADO_REVIVE_zone_est, ADO_REVIVE_zone_independant, ADO_REVIVE_zone_civil :
			Indiquer le nom du marqueur o les joueurs rapparaitront selon leur camp
			C'est le respawn  la base
	*/
	ADO_REVIVE_zone = true;
	ADO_REVIVE_zone_ouest = "respawn_west";
	ADO_REVIVE_zone_est = "respawn_east";
	ADO_REVIVE_zone_independant = "respawn_guerrila";
	ADO_REVIVE_zone_civil = "respawn_civilian";

	/* ---------- [ MOBILE RESPAWN ] ----------
		ADO_REVIVE_mobile_respawn :
			- true : Activer
			- false : Dsactiver
		
		ADO_REVIVE_nb_mobile_respawn :
			- 1 : un mobile respawn nomm OBLIGATOIREMENT ado_mobile_respawn_1
			- 2 : deux mobiles respawn nomms OBLIGATOIREMENT ado_mobile_respawn_1 ET ado_mobile_respawn_2
	*/
	ADO_REVIVE_mobile_respawn = true;
	ADO_REVIVE_nb_mobile_respawn = 1;

	/* ======================================================== */
	
	// Diverses variables - NE PAS TOUCHER
	ADO_REVIVE_bp = false;
	ADO_REVIVE_bp2 = false;
	ADO_REVIVE_bp_respawn1 = false;
	ADO_REVIVE_bp_respawn2 = false;
	
	[] spawn {
		player addEventHandler ["killed", {
			_this execVM "ADO_revive\revive_reapparition.sqf";
			_this execVM "ADO_revive\revive_armements.sqf";
		}];
	};
};

if (true) exitWith {};